var search_data = {"index":{"searchIndex":["mpd","commands","abstract","allfiles","changevolume","currentplaylistadd","currentplaylistinfo","currentplaylistremove","currentsong","ping","play","playlistadd","playlistinfo","playlistlist","playlistremove","setvolume","status","connection","connectionerror","mpderror","playlist","serverresponse","song","connect()","content()","define_option_command()","define_text_argument_command()","define_trivial_command()","disconnect()","error?()","exec_command()","exec_command_list()","execute()","execute()","execute()","execute()","execute()","execute()","execute()","execute()","execute()","execute()","execute()","execute()","execute()","execute()","execute()","from_connection()","from_response()","gets()","key_value_pairs()","new()","new()","new()","new()","new()","puts()","resolve_range()","status()","to_h()"],"longSearchIndex":["mpd","mpd::commands","mpd::commands::abstract","mpd::commands::allfiles","mpd::commands::changevolume","mpd::commands::currentplaylistadd","mpd::commands::currentplaylistinfo","mpd::commands::currentplaylistremove","mpd::commands::currentsong","mpd::commands::ping","mpd::commands::play","mpd::commands::playlistadd","mpd::commands::playlistinfo","mpd::commands::playlistlist","mpd::commands::playlistremove","mpd::commands::setvolume","mpd::commands::status","mpd::connection","mpd::connectionerror","mpd::mpderror","mpd::playlist","mpd::serverresponse","mpd::song","mpd::connection#connect()","mpd::serverresponse#content()","mpd::commands::define_option_command()","mpd::commands::define_text_argument_command()","mpd::commands::define_trivial_command()","mpd::connection#disconnect()","mpd::serverresponse#error?()","mpd::commands::abstract#exec_command()","mpd::commands::abstract#exec_command_list()","mpd::commands::abstract#execute()","mpd::commands::allfiles#execute()","mpd::commands::changevolume#execute()","mpd::commands::currentplaylistadd#execute()","mpd::commands::currentplaylistinfo#execute()","mpd::commands::currentplaylistremove#execute()","mpd::commands::currentsong#execute()","mpd::commands::ping#execute()","mpd::commands::play#execute()","mpd::commands::playlistadd#execute()","mpd::commands::playlistinfo#execute()","mpd::commands::playlistlist#execute()","mpd::commands::playlistremove#execute()","mpd::commands::setvolume#execute()","mpd::commands::status#execute()","mpd::serverresponse::from_connection()","mpd::playlist::from_response()","mpd::connection#gets()","mpd::serverresponse#key_value_pairs()","mpd::commands::abstract::new()","mpd::connection::new()","mpd::playlist::new()","mpd::serverresponse::new()","mpd::song::new()","mpd::connection#puts()","mpd::commands::abstract#resolve_range()","mpd::serverresponse#status()","mpd::serverresponse#to_h()"],"info":[["MPD","","MPD.html","",""],["MPD::Commands","","MPD/Commands.html","","<p>Contains classes representing MPD commands\n"],["MPD::Commands::Abstract","","MPD/Commands/Abstract.html","","<p>Base class for MPD commands.\n"],["MPD::Commands::AllFiles","","MPD/Commands/AllFiles.html","","<p>Uses “listall” command to get all files (directories are filtered out) from db.\n"],["MPD::Commands::ChangeVolume","","MPD/Commands/ChangeVolume.html","","<p>Increases/decreases volume by some number\n"],["MPD::Commands::CurrentPlaylistAdd","","MPD/Commands/CurrentPlaylistAdd.html","","<p>Adds song(s) to current playlist `songs` is an array of URIs.\n"],["MPD::Commands::CurrentPlaylistInfo","","MPD/Commands/CurrentPlaylistInfo.html","","<p>Info about songs in current playlist\n"],["MPD::Commands::CurrentPlaylistRemove","","MPD/Commands/CurrentPlaylistRemove.html","","<p>Removes songs from current playlist by id or position/range\n"],["MPD::Commands::CurrentSong","","MPD/Commands/CurrentSong.html","","<p>Current song info as hash\n"],["MPD::Commands::Ping","","MPD/Commands/Ping.html","","<p>Tries to execute “ping” command. Returns `true` if succedeed, raises error if `MpdError` occurred, …\n"],["MPD::Commands::Play","","MPD/Commands/Play.html","","<p>Play specific song (by id or cur. playlist position).\n"],["MPD::Commands::PlaylistAdd","","MPD/Commands/PlaylistAdd.html","","<p>Adds song(s) to specific playlist.\n"],["MPD::Commands::PlaylistInfo","","MPD/Commands/PlaylistInfo.html","","<p>Info about songs in specific playlist. MPD command: “listplaylistinfo &lt;NAME&gt;”\n"],["MPD::Commands::PlaylistList","","MPD/Commands/PlaylistList.html","","<p>List of saved playlists.\n"],["MPD::Commands::PlaylistRemove","","MPD/Commands/PlaylistRemove.html","","<p>Removes <strong>one</strong> song from playlist by position. Uses MPD command “playlistdelete”\n"],["MPD::Commands::SetVolume","","MPD/Commands/SetVolume.html","","<p>Set specific volume to specific value\n"],["MPD::Commands::Status","","MPD/Commands/Status.html","","<p>Player status\n"],["MPD::Connection","","MPD/Connection.html","","<p>Simple wrapper over Socket\n"],["MPD::ConnectionError","","MPD/ConnectionError.html","",""],["MPD::MpdError","","MPD/MpdError.html","",""],["MPD::Playlist","","MPD/Playlist.html","","<p>Array&lt;SongInfo&gt; with some useful methods\n"],["MPD::ServerResponse","","MPD/ServerResponse.html","","<p>Just a frozen string with some useful methods\n"],["MPD::Song","","MPD/Song.html","","<p>Hash with predefined structure (see MAPPINGS) created from basic MPD song info Additionaly it stores …\n"],["connect","MPD::Connection","MPD/Connection.html#method-i-connect","()",""],["content","MPD::ServerResponse","MPD/ServerResponse.html#method-i-content","()","<p>text without status\n"],["define_option_command","MPD::Commands","MPD/Commands.html#method-c-define_option_command","(class_name, command)","<p>To define commands like “random &lt;1/0&gt;”\n<p>@!macro [attach] define_option_command\n\n<pre>@!parse\n ...</pre>\n"],["define_text_argument_command","MPD::Commands","MPD/Commands.html#method-c-define_text_argument_command","(class_name, command)","<p>To define commands like &#39;save “whatever this is”&#39;\n<p>@!macro [attach] define_text_argument_command …\n"],["define_trivial_command","MPD::Commands","MPD/Commands.html#method-c-define_trivial_command","(class_name, command)","<p>To decrease code amount\n<p>@!macro [attach] define_trivial_command\n\n<pre>@!parse\n  # Sends &quot;$2&quot; to MPD.\n  class ...</pre>\n"],["disconnect","MPD::Connection","MPD/Connection.html#method-i-disconnect","()",""],["error?","MPD::ServerResponse","MPD/ServerResponse.html#method-i-error-3F","()",""],["exec_command","MPD::Commands::Abstract","MPD/Commands/Abstract.html#method-i-exec_command","(command)",""],["exec_command_list","MPD::Commands::Abstract","MPD/Commands/Abstract.html#method-i-exec_command_list","(commands)",""],["execute","MPD::Commands::Abstract","MPD/Commands/Abstract.html#method-i-execute","(command)","<p>This method should be overriden. Example:\n\n<pre class=\"ruby\"><span class=\"ruby-keyword\">def</span> <span class=\"ruby-identifier ruby-title\">execute</span>\n  <span class=\"ruby-keyword\">super</span>(<span class=\"ruby-string\">&#39;ping&#39;</span>)\n<span class=\"ruby-keyword\">end</span>\n</pre>\n"],["execute","MPD::Commands::AllFiles","MPD/Commands/AllFiles.html#method-i-execute","()",""],["execute","MPD::Commands::ChangeVolume","MPD/Commands/ChangeVolume.html#method-i-execute","(n)",""],["execute","MPD::Commands::CurrentPlaylistAdd","MPD/Commands/CurrentPlaylistAdd.html#method-i-execute","(songs)","<p>`songs` is position (as int) or range\n"],["execute","MPD::Commands::CurrentPlaylistInfo","MPD/Commands/CurrentPlaylistInfo.html#method-i-execute","(songs = nil)","<p>`songs` can be range or integer (to show info about one song) or completely ommited (to show info about …\n"],["execute","MPD::Commands::CurrentPlaylistRemove","MPD/Commands/CurrentPlaylistRemove.html#method-i-execute","(position: nil, id: nil)","<p>`position` is int or range `id` is int song id\n"],["execute","MPD::Commands::CurrentSong","MPD/Commands/CurrentSong.html#method-i-execute","()",""],["execute","MPD::Commands::Ping","MPD/Commands/Ping.html#method-i-execute","()",""],["execute","MPD::Commands::Play","MPD/Commands/Play.html#method-i-execute","(position: nil, id: nil)",""],["execute","MPD::Commands::PlaylistAdd","MPD/Commands/PlaylistAdd.html#method-i-execute","(name, songs)","<p>@param name [String] playlist name. @param songs [Array&lt;String&gt;, String] file URIs.\n"],["execute","MPD::Commands::PlaylistInfo","MPD/Commands/PlaylistInfo.html#method-i-execute","(name)","<p>`songs` can be range or integer (to show info about one song) or completely ommited (to show info about …\n"],["execute","MPD::Commands::PlaylistList","MPD/Commands/PlaylistList.html#method-i-execute","()",""],["execute","MPD::Commands::PlaylistRemove","MPD/Commands/PlaylistRemove.html#method-i-execute","(name, position)","<p>@param name [String] playlist name. @param position [Integer] song position.\n"],["execute","MPD::Commands::SetVolume","MPD/Commands/SetVolume.html#method-i-execute","(n)",""],["execute","MPD::Commands::Status","MPD/Commands/Status.html#method-i-execute","()",""],["from_connection","MPD::ServerResponse","MPD/ServerResponse.html#method-c-from_connection","(conn)","<p>Reads data from `MPD::Connection` instance to next OK/ACK\n"],["from_response","MPD::Playlist","MPD/Playlist.html#method-c-from_response","(response)",""],["gets","MPD::Connection","MPD/Connection.html#method-i-gets","()",""],["key_value_pairs","MPD::ServerResponse","MPD/ServerResponse.html#method-i-key_value_pairs","()","<p>MPD often sends data as:\n\n<pre>id: 1\ntitle: some title\nid: 2\ntitle: another title</pre>\n<p>So this method comes useful. …\n"],["new","MPD::Commands::Abstract","MPD/Commands/Abstract.html#method-c-new","(connection: nil, host: 'localhost', port: 6600)","<p>You can provide you own connection. It should have same\n"],["new","MPD::Connection","MPD/Connection.html#method-c-new","(host: 'localhost', port: 6600)",""],["new","MPD::Playlist","MPD/Playlist.html#method-c-new","(data)","<p>data - array of hashes from MPD\n"],["new","MPD::ServerResponse","MPD/ServerResponse.html#method-c-new","(response_text)",""],["new","MPD::Song","MPD/Song.html#method-c-new","(data)",""],["puts","MPD::Connection","MPD/Connection.html#method-i-puts","(text)",""],["resolve_range","MPD::Commands::Abstract","MPD/Commands/Abstract.html#method-i-resolve_range","(arg)",""],["status","MPD::ServerResponse","MPD/ServerResponse.html#method-i-status","()","<p>last line of response\n"],["to_h","MPD::ServerResponse","MPD/ServerResponse.html#method-i-to_h","()",""]]}}